Bug 1360587 - Review Request: rsyntaxtextarea - A syntax highlighting, code folding text editor for Java Swing applications
Summary: Review Request: rsyntaxtextarea - A syntax highlighting, code folding text ed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1316315
TreeView+ depends on / blocked
 
Reported: 2016-07-27 06:23 UTC by Dennis Chen
Modified: 2016-09-30 15:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-24 15:14:53 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Dennis Chen 2016-07-27 06:23:07 UTC
Spec URL: https://barracks510.fedorapeople.org/packaging/rsyntaxtextarea.spec
SRPM URL: https://barracks510.fedorapeople.org/packaging/rsyntaxtextarea-2.5.8-1.fc24.src.rpm

Koji Build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=15030953

Description: 
RSyntaxTextArea is a customizable, syntax highlighting text component for Java
Swing applications. Out of the box, it supports syntax highlighting for 40+
programming languages, code folding, search and replace, and has add-on
libraries for code completion and spell checking. Syntax highlighting for 
additional languages can be added via tools such as JFlex.

Fedora Account System Username: barracks510

Comment 1 Dennis Chen 2016-07-27 07:13:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 211 files have unknown license.
     Detailed output of licensecheck in
     /home/dchen15/1360587-rsyntaxtextarea/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-metadata, /usr/share/licenses
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses,
     /usr/share/maven-metadata
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[ ]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     rsyntaxtextarea-javadoc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[ ]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rsyntaxtextarea-2.5.8-1.fc25.noarch.rpm
          rsyntaxtextarea-javadoc-2.5.8-1.fc25.noarch.rpm
          rsyntaxtextarea-2.5.8-1.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
rsyntaxtextarea (rpmlib, GLIBC filtered):
    java
    java-headless
    javapackages-tools

rsyntaxtextarea-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
rsyntaxtextarea:
    mvn(com.fifesoft:rsyntaxtextarea)
    osgi(com.fifesoft.rsyntaxtextarea)
    rsyntaxtextarea

rsyntaxtextarea-javadoc:
    rsyntaxtextarea-javadoc



Source checksums
----------------
https://github.com/bobbylight/RSyntaxTextArea/archive/2.5.8.tar.gz#/rsyntaxtextarea-2.5.8.tar.gz :
  CHECKSUM(SHA256) this package     : df6430cf15bfcb7612b52d4c3b961c8b7bf0b848c7c251e6d405d2598484b698
  CHECKSUM(SHA256) upstream package : df6430cf15bfcb7612b52d4c3b961c8b7bf0b848c7c251e6d405d2598484b698


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1360587 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 gil cattaneo 2016-07-29 10:54:08 UTC
Seem all ok, but you should add license macro also for the javadoc sub-package

Comment 3 gil cattaneo 2016-07-29 10:59:26 UTC
have time for this https://bugzilla.redhat.com/show_bug.cgi?id=1359244 ?

Comment 4 gil cattaneo 2016-07-29 11:26:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 213 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1360587-rsyntaxtextarea/licensecheck.txt
    All java code use this header:
 * This library is distributed under a modified BSD license.  See the included
 * RSyntaxTextArea.License.txt file for details.

[!]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines

 Maybe you could regenerate java source code in ./src/main/java/org/fife/ui/rsyntaxtextarea/modes
 using jflex e.g. /usr/bin/jflex *.flex

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     rsyntaxtextarea-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rsyntaxtextarea-2.5.8-1.fc26.noarch.rpm
          rsyntaxtextarea-javadoc-2.5.8-1.fc26.noarch.rpm
          rsyntaxtextarea-2.5.8-1.fc26.src.rpm
rsyntaxtextarea.noarch: W: spelling-error %description -l en_US customizable -> customization
rsyntaxtextarea.src: W: spelling-error %description -l en_US customizable -> customization
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
rsyntaxtextarea.noarch: W: spelling-error %description -l en_US customizable -> customization
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
rsyntaxtextarea (rpmlib, GLIBC filtered):
    java
    java-headless
    javapackages-tools

rsyntaxtextarea-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
rsyntaxtextarea:
    mvn(com.fifesoft:rsyntaxtextarea)
    osgi(com.fifesoft.rsyntaxtextarea)
    rsyntaxtextarea

rsyntaxtextarea-javadoc:
    rsyntaxtextarea-javadoc



Source checksums
----------------
https://github.com/bobbylight/RSyntaxTextArea/archive/2.5.8.tar.gz#/rsyntaxtextarea-2.5.8.tar.gz :
  CHECKSUM(SHA256) this package     : df6430cf15bfcb7612b52d4c3b961c8b7bf0b848c7c251e6d405d2598484b698
  CHECKSUM(SHA256) upstream package : df6430cf15bfcb7612b52d4c3b961c8b7bf0b848c7c251e6d405d2598484b698


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1360587 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2016-07-29 11:27:48 UTC
NON blocking issues:

[!]: License file installed when any subpackage combination is installed.

[!]: Package complies to the Packaging Guidelines

 Maybe you could regenerate java source code in ./src/main/java/org/fife/ui/rsyntaxtextarea/modes
 using jflex e.g. /usr/bin/jflex *.flex

Comment 6 Dennis Chen 2016-07-30 22:22:57 UTC
The package requires the generated java code to be modified. Two methods need to be deleted, and on initialization needs to be removed. I'm not sure what easy way there is to do this.

Comment 7 gil cattaneo 2016-07-31 20:50:25 UTC
(In reply to Dennis Chen from comment #6)
> The package requires the generated java code to be modified. Two methods
> need to be deleted, and on initialization needs to be removed. I'm not sure
> what easy way there is to do this.

Use old jflex release
Remain to fix this issues:
[!]: License file installed when any subpackage combination is installed.

Comment 9 gil cattaneo 2016-08-20 16:14:43 UTC
Approved
have time for this https://bugzilla.redhat.com/show_bug.cgi?id=1366836 ?

Comment 10 Gwyn Ciesla 2016-08-22 14:35:51 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rsyntaxtextarea

Comment 11 Fedora Update System 2016-09-24 15:14:53 UTC
rsyntaxtextarea-2.5.8-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-09-30 15:53:01 UTC
rsyntaxtextarea-2.5.8-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.